# -*- coding: utf-8 -*-
#
#  AppController.rb
#  MemoStack
#
#  Created by Fujimoto Hisa on 09/10/25.
#  Copyright (c) 2009 Fujimoto Hisa. All rights reserved.
#

class AppController
  def AppController.memoStack
    if not defined? @@memo_stack then
      path = AppConfig[:memo_stack_local_path]
      @@memo_stack = MemoStack(:local, :path=>path)
    end
    @@memo_stack
  end

  def memoStack
    AppController.memoStack
  end

  # コマンド: 新規メモ
  def newMemo(sender)
    memo = memoStack.create_memo             # 新しいメモを作って
    MemoEditor.open(memo)                    # メモエディタで開く
  end

  # コマンド: 最後に作ったメモ
  def openLatestMemo(sender)
    if memo = memoStack.latest_memo then      # 最後に作ったメモを
      MemoEditor.open(memo, :editable=>true)  # メモエディタで開く
    end
  end
end
