#
#  objc_support.rb
#  MemoStack
#
#  Created by Fujimoto Hisa on 09/11/06.
#  Copyright (c) 2009 Fujimoto Hisa. All rights reserved.
#
framework 'Cocoa'

class AppConfig

  @@instance = nil
  def self.instance()      @@instance ||= new       end
  def self.defaults()      instance.defaults        end
  def self.defaults=(dict) instance.defaults = dict end
  def self.[](key)         instance[key]            end
  def self.[]=(key, val)   instance[key] = val      end

  attr_accessor :defaults
  
  def initialize
    @defaults = {}
  end
  
  def [](key)
    val = NSUserDefaults.standardUserDefaults.objectForKey(key.to_s)
    val || @defaults[key.to_sym]
  end
  
  def []=(key, val)
    NSUserDefaults.standardUserDefaults.setObject(val, forKey: key.to_s)
  end
end
